import java.sql.*;
import java.io.*;
import java.util.Date;

class JdbcCheckup
{
  public static void main (String args [])
       throws SQLException, IOException
  {
    System.out.println ("Loading Oracle JDBC OCI driver");

    try
    {
      Class.forName ("oracle.jdbc.OracleDriver");
    }
    catch (ClassNotFoundException e)
    {
      System.out.println ("Could not load the driver");
      e.printStackTrace ();
    }

    System.out.println ("Please enter information to test connection to the database");
    String user;
    String password;
    String database;

    user = readEntry ("user: ");
    int slash_index = user.indexOf ('/');
    if (slash_index != -1)
    {
      password = user.substring (slash_index + 1);
      user = user.substring (0, slash_index);
    }
    else
      password = readEntry ("password: ");
    database = readEntry ("database: ");

    System.out.print ("Connecting to the database...");
    System.out.flush ();
    Connection conn =
      DriverManager.getConnection ("jdbc:oracle:@" + database, user, password);

    System.out.println ("connected.");

    Statement stmt = conn.createStatement ();

    // Show the date
    ResultSet rset = stmt.executeQuery ("select sysdate from dual");

    while (rset.next ())
    {
      // Print the name out
      System.out.println ("Current time is " + rset.getString (1));
    }

    System.out.println ("Your JDBC installation is correct.");
  }

  static String readEntry (String prompt)
  {
    try
    {
      StringBuffer buffer = new StringBuffer ();
      System.out.print (prompt);
      System.out.flush ();
      int c = System.in.read ();
      while (c != '\n' && c != -1)
      {
	buffer.append ((char)c);
	c = System.in.read ();
      }
      return buffer.toString ().trim ();
    }
    catch (IOException e)
    {
      return "";
    }
  }
}
